using System;
using System.Collections;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace Berkeley.CS160.ExperienceLogger.Questions
{
    public interface IPrompt
    {
        IPromptInstance CreateInstance();

        /// <summary>
        /// Create a description with a type, id and value
        /// </summary>
        /// <param name="doc">The document that this node will go into</param>
        XmlNode CreateDescription(Logger logger);
    }
}
